#ifndef AMBIENT_WB_LIB_H
#define AMBIENT_WB_LIB_H
/*
 * $Id: lib.h,v 1.3 2006/04/12 14:02:00 fab Exp $
 */

#include <exec/types.h>
#include <exec/resident.h>
#include <exec/libraries.h>
#include <proto/exec.h>
#include <dos/dos.h>

extern struct Library *WorkbenchBase;

int lib_init(struct ExecBase *SBase);
int lib_open(void);
void lib_cleanup(void);

struct LibBase
{
	struct Library Lib;
	BPTR SegList;
	struct ExecBase *SBase;
};


struct AppWindow;
struct AppIcon;
struct AppMenuItem;
struct AppWindowDropZone;


struct Library *LIB_Open(void);
BPTR LIB_Close(void);
BPTR LIB_Expunge(void);
ULONG LIB_GetQueryAttr(void);

/* private stuff */
void LIB_UpdateWorkbench(void);
void LIB_QuoteWorkbench(void);
LONG LIB_StartWorkbench(void);

struct AppWindow *LIB_AddAppWindowA(void);
BOOL LIB_RemoveAppWindow(void);
struct AppIcon *LIB_AddAppIconA(void);
BOOL LIB_RemoveAppIcon(void);
struct AppMenuItem *LIB_AddAppMenuItemA(void);
BOOL LIB_RemoveAppMenuItem(void);

/* private stuff */
LONG LIB_WBConfig(void);

void LIB_WBInfo(void);

/* "OS" 3.5 shit  (V44) */
BOOL LIB_OpenWorkbenchObjectA(void);
BOOL LIB_CloseWorkbenchObjectA(void);
BOOL LIB_WorkbenchControlA(void);
struct AppWindowDropZone * LIB_AddAppWindowDropZoneA(void);
BOOL LIB_RemoveAppWindowDropZone(void);
BOOL LIB_ChangeWorkbenchSelectionA(void);
BOOL LIB_MakeWorkbenchObjectVisibleA(void);


#endif /* AMBIENT_WB_LIB_H */
